## apptainer 1.4.0

=== debian/changelog ===
apptainer (1.4.0-5) unstable; urgency=medium

  * Fix Vcs-* fields.
  * Reinstate Built-Using field.

 -- Roland Mas <lolando@debian.org>  Mon, 14 Apr 2025 14:28:06 +0200

apptainer (1.4.0-4) unstable; urgency=medium

  * Use alternatives to avoid conflicts with singularity-container.

 -- Roland Mas <lolando@debian.org>  Mon, 14 Apr 2025 11:14:53 +0200

apptainer (1.4.0-3) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Sun, 13 Apr 2025 12:16:45 +0200

apptainer (1.4.0-2) unstable; urgency=medium

  * Update debian/copyright.

 -- Roland Mas <lolando@debian.org>  Fri, 11 Apr 2025 17:08:12 +0200

apptainer (1.4.0-1) unstable; urgency=medium

  * Fix Maintainer.
  * Remove useless golang-github-apptainer-apptainer-dev binary package.
  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Mon, 07 Apr 2025 12:20:38 +0200

apptainer (1.4.0~rc.2-2) unstable; urgency=medium

  * Comment out Built-Using field until dependencies enter Debian.

 -- Roland Mas <lolando@debian.org>  Thu, 20 Mar 2025 16:10:12 +0100

apptainer (1.4.0~rc.2-1) unstable; urgency=low

  [ Andreas Tille ]
  * Initial work.

  [ Roland Mas ]
  * Adopting the package.
  * Add TODO.Debian to track missing dependencies.
  * New upstream release.
  * Initial upload (Closes: #1100469).
  * Provides: singularity-container.

 -- Roland Mas <lolando@debian.org>  Thu, 20 Mar 2025 14:44:17 +0100
