=== debian/control ===
Source: apptainer
Section: admin
Priority: optional
Standards-Version: 4.6.1
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Roland Mas <lolando@debian.org>,
Build-Depends:
 cryptsetup-bin,
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-adxgun-registry-auth-dev,
 golang-github-apex-log-dev,
 golang-github-appc-cni-dev (>= 0.7.1~),
 golang-github-apptainer-container-key-client-dev,
 golang-github-apptainer-container-library-client-dev,
 golang-github-apptainer-sif-dev,
 golang-github-astromechza-etcpwdparse-dev,
 golang-github-blang-semver-dev (>= 4),
 golang-github-buger-goterm-dev,
 golang-github-buger-jsonparser-dev,
 golang-github-cenkalti-backoff-dev,
 golang-github-containernetworking-plugin-dnsname,
 golang-github-containernetworking-plugins-dev,
 golang-github-containers-common-dev,
 golang-github-containers-image-dev,
 golang-github-creack-pty-dev,
 golang-github-cyphar-filepath-securejoin-dev,
 golang-github-docker-distribution-dev,
 golang-github-docker-docker-dev (>= 19.03.4~),
 golang-github-docker-go-units-dev,
 golang-github-fatih-color-dev,
 golang-github-go-log-log-dev,
 golang-github-google-go-containerregistry-dev,
 golang-github-google-uuid-dev,
 golang-github-gosimple-slug-dev,
 golang-github-gosimple-unidecode-dev,
 golang-github-moby-sys-dev,
 golang-github-netflix-go-expect-dev,
 golang-github-opencontainers-image-spec-dev,
 golang-github-opencontainers-runc-dev,
 golang-github-opencontainers-runtime-tools-dev,
 golang-github-opencontainers-selinux-dev,
 golang-github-opencontainers-specs-dev,
 golang-github-opensuse-umoci-dev,
 golang-github-pelletier-go-toml-dev,
 golang-github-pkg-errors-dev,
 golang-github-protonmail-go-crypto-dev,
 golang-github-samber-lo-dev,
 golang-github-seccomp-containers-golang-dev,
 golang-github-shopspring-decimal-dev,
 golang-github-sigstore-sigstore-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-github-sylabs-json-resp-dev,
 golang-github-vbauerster-mpb-dev (>= 7.3.2),
 golang-golang-x-crypto-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-term-dev,
 golang-golang-x-text-dev,
 golang-gopkg-yaml.v3-dev,
 golang-logrus-dev,
 golang-mvdan-sh-dev,
 golang-toml-dev,
 golang-yaml.v2-dev,
# golint <!nocheck>,
 help2man,
 stow,
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/go-team/packages/apptainer.git
Vcs-Browser: https://salsa.debian.org/go-team/packages/apptainer
Homepage: https://apptainer.org/
XS-Go-Import-Path: github.com/apptainer/apptainer

Package: apptainer
Architecture: any
Built-Using:
 ${misc:Built-Using},
Depends:
 ca-certificates,
 containernetworking-plugins,
 squashfs-tools,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 singularity-container,
Recommends:
 e2fsprogs,
Description: container platform focused on supporting "Mobility of Compute"
 Mobility of Compute encapsulates the development to compute model
 where developers can work in an environment of their choosing and
 creation and when the developer needs additional compute resources,
 this environment can easily be copied and executed on other platforms.
 Additionally as the primary use case for Apptainer is targeted
 towards computational portability, many of the barriers to entry of
 other container solutions do not apply to Apptainer making it an
 ideal solution for users (both computational and non-computational)
 and HPC centers.
 .
 Apptainer is the successor of Singularity.  Its hosted by the Linux
 Foundation
