## apptainer 1.4.2

=== debian/changelog ===
apptainer (1.4.2-2) unstable; urgency=medium

  * Add upstream patch to change build-dep from
    runc/cgroups to oc/cgroups (Closes: #1115953)
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop redundant "Rules-Requires-Root: no"

 -- Nilesh Patra <nilesh@debian.org>  Sun, 19 Oct 2025 01:05:35 +0530

apptainer (1.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Thu, 04 Sep 2025 15:03:01 +0200

apptainer (1.4.0-7) unstable; urgency=medium

  * Team upload
  * Cherry-pick upstream patch for newer umoci version
  * Update minimum required version of golang-github-opensuse-umoci-dev in
    d/control

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 11 Aug 2025 13:23:58 +0000

apptainer (1.4.0-6) unstable; urgency=medium

  * Add one more alternative to avoid conflicts with singularity-container.
  * Add missing Depends: uidmap.
  * Fix manpage generation.

 -- Roland Mas <lolando@debian.org>  Mon, 21 Jul 2025 12:22:00 +0200
