## apptainer 1.4.4

=== debian/changelog ===
apptainer (1.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Mon, 03 Nov 2025 14:12:57 +0100
