=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: apptainer
 Section: admin
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Roland Mas <lolando@debian.org>,
@@ -38,12 +38,12 @@
  golang-github-gosimple-unidecode-dev,
  golang-github-moby-sys-dev,
  golang-github-netflix-go-expect-dev,
+ golang-github-opencontainers-cgroups-dev,
  golang-github-opencontainers-image-spec-dev,
- golang-github-opencontainers-runc-dev,
  golang-github-opencontainers-runtime-tools-dev,
  golang-github-opencontainers-selinux-dev,
  golang-github-opencontainers-specs-dev,
- golang-github-opensuse-umoci-dev,
+ golang-github-opensuse-umoci-dev (>= 0.5.0),
  golang-github-pelletier-go-toml-dev,
  golang-github-pkg-errors-dev,
  golang-github-protonmail-go-crypto-dev,
@@ -67,7 +67,7 @@
 # golint <!nocheck>,
  help2man,
  stow,
-Rules-Requires-Root: no
+ uidmap,
 Vcs-Git: https://salsa.debian.org/go-team/packages/apptainer.git
 Vcs-Browser: https://salsa.debian.org/go-team/packages/apptainer
 Homepage: https://apptainer.org/
