=== debian/rules ===
--- 
+++ 
@@ -67,6 +67,7 @@
 	-mv -v $(PKGDIR)/usr/bin/run-singularity $(PKGDIR)/usr/bin/run-singularity.$$(awk '/^Package:/ { print $$2 }' debian/control | head -1)
 	: # move bash completions into now new standard location
 	-mv -v $(PKGDIR)/etc/bash_completion.d $(PKGDIR)/usr/share/bash-completion/completions
+	-for i in $(PKGDIR)/usr/share/bash-completion/completions/*singularity* ; do mv $$i $$i.$$(awk '/^Package:/ { print $$2 }' debian/control | head -1) ; done
 
 override_dh_install:
 	dh_install -XLICENSE.md
