## apptainer 1.4.5

=== debian/changelog ===
apptainer (1.4.5-2) unstable; urgency=medium

  * Add Depends: uidmap to help with rootless operations.

 -- Roland Mas <lolando@debian.org>  Mon, 23 Feb 2026 11:25:02 +0100

apptainer (1.4.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release:
    - Includes fix for CVE-2025-65105 (Closes: #1121844)
    - Cherry-pick another upstream patch for newer versions of umoci
  * d/control:
    - Update Standards-Version to 4.7.3, drop Priority field
    - Update Build-Depends
    - Add missing Static-Built-Using
  * Fix whitespace formatting in d/u/metadata

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 12 Jan 2026 20:30:42 +0000

apptainer (1.4.4-2) unstable; urgency=medium

  * Team upload
  * Adjust import paths to reflect Debian packaging (Closes: #1121704)

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 12 Jan 2026 01:22:26 +0000
