=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: apptainer
 Section: admin
-Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Roland Mas <lolando@debian.org>,
@@ -20,6 +19,7 @@
  golang-github-blang-semver-dev (>= 4),
  golang-github-buger-goterm-dev,
  golang-github-buger-jsonparser-dev,
+ golang-github-ccoveille-go-safecast-dev,
  golang-github-cenkalti-backoff-dev,
  golang-github-containernetworking-plugin-dnsname,
  golang-github-containernetworking-plugins-dev,
@@ -43,7 +43,7 @@
  golang-github-opencontainers-runtime-tools-dev,
  golang-github-opencontainers-selinux-dev,
  golang-github-opencontainers-specs-dev,
- golang-github-opensuse-umoci-dev (>= 0.5.0),
+ golang-github-opensuse-umoci-dev (>= 0.6.0),
  golang-github-pelletier-go-toml-dev,
  golang-github-pkg-errors-dev,
  golang-github-protonmail-go-crypto-dev,
@@ -77,10 +77,13 @@
 Architecture: any
 Built-Using:
  ${misc:Built-Using},
+Static-Built-Using:
+ ${misc:Static-Built-Using},
 Depends:
  ca-certificates,
  containernetworking-plugins,
  squashfs-tools,
+ uidmap,
  ${misc:Depends},
  ${shlibs:Depends},
 Provides:
